Improve js for comments
[shapado:shapado.git] / Gemfile
1 source 'http://rubygems.org'
2
3 gem 'rails', '3.2.1'
4
5 if RUBY_PLATFORM !~ /mswin|mingw/
6   gem 'rdiscount', :git => 'git://github.com/ricodigo/rdiscount.git'
7
8   gem 'ruby-stemmer', '~> 0.8.2', :require => 'lingua/stemmer'
9   gem 'sanitize', '2.0.3'
10
11   gem 'magic'
12   gem 'mini_magick', '~> 2.3'
13   gem 'nokogiri'
14   gem 'mechanize'
15 else
16   gem 'maruku', '0.6.0'
17 end
18 gem 'maruku'
19
20 # ui
21 gem 'haml', '>= 3.1.3'
22 gem 'sass', '>= 3.1.10'
23 gem 'compass', '>= 0.11.5'
24 gem 'compass-colors', '0.9.0'
25 gem 'fancy-buttons', '1.1.1'
26 gem 'kaminari'
27 gem 'mustache'
28 gem 'poirot', :git => 'git://github.com/dcu/poirot.git'
29
30
31 # mongodb
32 gem 'bson', '1.4.0'
33 gem 'bson_ext', '1.4.0'
34
35 gem 'mongo', '1.4.0'
36 gem 'mongoid', :git => 'git://github.com/mongoid/mongoid.git', :branch => '2.4.0-stable'
37
38 gem 'mongoid_ext', :git => 'git://github.com/dcu/mongoid_ext.git'
39
40 gem 'mongo_store', :git => 'https://github.com/Houdini/mongo_store.git'
41
42 # utils
43 gem 'whatlanguage', '1.0.0'
44 gem 'uuidtools', '~> 2.1.1'
45 gem 'magent', '0.6.2'
46 gem 'bug_hunter', :git => 'git://github.com/ricodigo/bug_hunter.git'
47
48 gem 'goalie', '~> 0.0.4'
49 gem 'dynamic_form'
50 gem 'rinku', '~> 1.2.2', :require => 'rails_rinku'
51
52 gem 'rack-recaptcha', '0.2.2', :require => 'rack/recaptcha'
53
54 gem 'twitter-text', '1.1.8'
55 gem 'twitter_oauth'
56 gem 'social_widgets', :git => 'https://git.gitorious.org/social_widgets/social_widgets.git'
57 gem 'stripe'
58 gem 'pdfkit' # apt-get install wkhtmltopdf
59
60 gem 'geoip'
61 gem 'rubyzip', '0.9.4', :require => 'zip/zip'
62
63 gem 'newrelic_rpm'
64
65 # authentication
66 gem 'omniauth', '~> 0.3.0'
67 gem 'oa-openid', '~> 0.3.0', :require => 'omniauth/openid'
68 gem 'oa-oauth', '~> 0.3.0', :require => 'omniauth/oauth'
69
70 gem 'multiauth', :git => 'http://github.com/dcu/multiauth.git'
71
72 gem 'orm_adapter'
73 gem 'devise', '~> 1.4.0'
74
75 gem 'whenever', :require => false
76 gem 'rack-ssl', :require => false
77
78 gem 'state_machine', '1.1.2'
79
80 gem 'xapian-ruby', '1.2.7.1'
81 gem 'xapit', :git => 'git://github.com/kuadrosx/xapit.git'
82 group :assets do
83   gem 'sass-rails', "  ~> 3.2.0"
84   gem 'uglifier'
85 end
86 gem 'yui-compressor'
87 gem 'jquery-rails'
88
89 group :deploy do
90   gem 'capistrano', :require => false
91   gem 'ricodigo-capistrano-recipes', '~> 0.1.3', :require => false
92   gem 'unicorn', '4.1.1', :require => false
93   gem 'therubyracer'
94 end
95
96 group :scripts do
97   gem 'eventmachine', '~> 0.12.10'
98   gem 'em-websocket', '~> 0.3.0'
99   gem 'twitter', '1.7.2'
100 end
101
102 group :test do
103   gem 'capybara'
104   gem 'capybara-webkit'
105   gem 'launchy'
106   gem 'ffaker'
107   gem 'simplecov'
108   gem 'autotest'
109   gem 'fabrication'
110 end
111
112 group :development do
113   gem 'pry'
114   gem 'pry-rails'
115   gem 'database_cleaner'
116   gem 'rspec', '>= 2.0.1'
117   gem 'rspec-rails', '>= 2.0.1'
118   gem 'remarkable_mongoid', '>= 0.5.0'
119   gem 'hpricot'
120   gem 'ruby_parser'
121   gem 'niftier-generators', '0.1.2'
122   gem 'ruby-prof'
123   gem 'tunnlr_connector', :git => 'git://github.com/dcu/tunnlr_connector.git', :branch => 'patch-1', :require => 'tunnlr'
124 end